<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('image_galeris', function (Blueprint $table) {
            $table->id('ImagegaleriId');
            $table->integer('galeri_id');
            $table->timestampsTz();

            $table->foreign('galeri_id')->references('GaleriId')->on('galeri')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('image_galeris');
    }
};
